<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
      <OutputType>Exe</OutputType>
	  <TargetFramework>net7.0</TargetFramework>
	  <Product>Insight</Product>
	  <AssemblyName>server</AssemblyName>
	  <AssemblyVersion>2023.9.14.0</AssemblyVersion>
	  <RootNamespace>Insight.Server</RootNamespace>
	  <ImplicitUsings>enable</ImplicitUsings>
	  <Nullable>enable</Nullable>
  </PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DebugType>none</DebugType>
	</PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
    <None Remove="appsettings.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.Development.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="7.0.0" />
		<PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
		<PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
		<!--Unix Serilog stuff-->
		<PackageReference Include="System.IO.FileSystem.Primitives" Version="4.3.0" />
		<PackageReference Include="System.Text.Encoding.Extensions" Version="4.3.0" />
		<PackageReference Include="System.Runtime.Handles" Version="4.3.0" />
		<PackageReference Include="System.IO" Version="4.3.0" />
		<PackageReference Include="System.Runtime.InteropServices" Version="4.3.0" />
		<PackageReference Include="System.Threading" Version="4.3.0" />
		<PackageReference Include="System.Threading.Tasks" Version="4.3.0" />
		<PackageReference Include="Vaitr.Bus" Version="0.1.3" />
	</ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Agent\Insight.Agent.Assets\Insight.Agent.Assets.csproj" />
    <ProjectReference Include="..\..\Core\Insight.Infrastructure\Insight.Infrastructure.csproj" />
    <ProjectReference Include="..\..\Web\Insight.Web.Assets\Insight.Web.Assets.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="localhost.pfx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Properties\launchSettings.json">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>Never</CopyToPublishDirectory>
    </None>
  </ItemGroup>

</Project>
